﻿package{
	
	//Spriteクラスの明示的な読み込み
	import flash.display.Sprite;
	//MouseEventクラスの明示的な読み込み
	import flash.events.MouseEvent;
	
	//flaファイル用クラス：タイムラインを使用しないのでSpriteクラスを拡張
	public class SampleAddChildDoc extends Sprite{
		
		//Flash IDE上で配置したオブジェクト
		public var rectangle:Sprite;
		public var circle:Sprite;
		
		//動的に表示追加するSampleStarClassオブジェクト
		private var star:SampleStarClass;
		
		
		//コンストラクタ			
		public function SampleAddChildDoc(){
			
			//SampleStarClassインスタンスを作成
			star=new SampleStarClass();
			
			//SampleStarClassインスタンスの座標指定
			star.x=25;
			star.y=25;
			
			//rectangleにイベント追加
			rectangle.addEventListener(MouseEvent.CLICK,rectangleClick);
			//circleにイベント追加
			circle.addEventListener(MouseEvent.CLICK,circleClick);
		}
		
		//rectangleがクリックされた時に実行
		private function rectangleClick(evt:MouseEvent):void{
			//表示リストに追加
			rectangle.addChild(star);
		}
		
		//circleがクリックされた時に実行
		private function circleClick(evt:MouseEvent):void{
			//表示リストに追加
			circle.addChild(star);
		}
		
	}
	
}